# eric5.Network.IRC.IrcMessageEdit

Module implementing a specialized line edit for entering IRC messages.

### Global Attributes

None

### Classes

IrcMessageEdit | Class implementing a specialized line edit for entering IRC messages.

### Functions

None

## IrcMessageEdit

Class implementing a specialized line edit for entering IRC messages.

### Derived from

E5ClearableLineEdit

### Class Attributes

MaxHistory

### Class Methods

None

### Methods

IrcMessageEdit | Constructor
__addHistory | Private method to add an entry to the history.
__getHistory | Private method to move in the history.
keyPressEvent | Protected method implementing special key handling.
setText | Public method to set the text.
wheelEvent | Protected slot to support wheel events.

### Static Methods

None

#### IrcMessageEdit (Constructor)

IrcMessageEdit(parent=None, inactiveText="", side=E5LineEdit.RightSide)

Constructor

parent
  reference to the parent widget (QWidget)
inactiveText=
  text to be shown on inactivity (string)
side=
  side the clear button should be shown at (E5LineEdit.RightSide, E5LineEdit.LeftSide)

#### IrcMessageEdit.__addHistory

__addHistory(txt)

Private method to add an entry to the history.

txt
  text to be added to the history (string)

#### IrcMessageEdit.__getHistory

__getHistory(up)

Private method to move in the history.

up
  flag indicating the direction (boolean)

#### IrcMessageEdit.keyPressEvent

keyPressEvent(evt)

Protected method implementing special key handling.

evt
  reference to the event (QKeyEvent)

#### IrcMessageEdit.setText

setText(text)

Public method to set the text.

Note: This reimplementation ensures, that the cursor is at the end of the text.

text
  text to be set (string)

#### IrcMessageEdit.wheelEvent

wheelEvent(evt)

Protected slot to support wheel events.

evt
  reference to the wheel event (QWheelEvent)

Up